Skip to main content
POST
Instantiate Collection Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Template ID

Body

application/json

Request to instantiate a collection from a template.

collection_name
string
required

Name for the new collection

Required string length: 1 - 100
bucket_ids
string[] | null

Bucket IDs to use for the collection (for bucket sources)

collection_id
string | null

Collection ID to use for the collection (for collection sources)

description
string | null

Optional description override for the collection

Maximum string length: 1000
tags
string[]

Optional tags for the collection

Response

Successful Response

Response after instantiating a collection template.

collection_id
string
required

ID of the created collection

collection_name
string
required

Name of the created collection

template_id
string
required

ID of the template used

status
string
default:created

Status of the instantiation

created_at
string<date-time>

Timestamp when collection was created